Summary:	X Render extension library
Summary(pl.UTF-8):	Biblioteka rozszerzenia X Render
Name:		xorg-lib-libXrender
Version:	0.9.7
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXrender-%{version}.tar.bz2
# Source0-md5:	ee62f4c7f0f16ced4da63308963ccad2
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-proto-renderproto-devel >= 0.9
BuildRequires:	xorg-util-util-macros >= 1.8
Obsoletes:	XFree86-render
Obsoletes:	libXrender
Obsoletes:	xrender
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Render extension library.

%description -l pl.UTF-8
Biblioteka rozszerzenia X Render.

%package devel
Summary:	Header files for libXrender library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXrender
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libX11-devel
Requires:	xorg-proto-renderproto-devel >= 0.9
Obsoletes:	XFree86-render-devel
Obsoletes:	libXrender-devel
Obsoletes:	xrender-devel

%description devel
X Render extension library.

This package contains the header files needed to develop programs that
use libXrender.

%description devel -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXrender.

%package static
Summary:	Static libXrender library
Summary(pl.UTF-8):	Biblioteka statyczna libXrender
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	XFree86-render-static
Obsoletes:	libXrender-static
Obsoletes:	xrender-static

%description static
X Render extension library.

This package contains the static libXrender library.

%description static -l pl.UTF-8
Biblioteka rozszerzenia X Render.

Pakiet zawiera statyczną bibliotekę libXrender.

%prep
%setup -q -n libXrender-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXrender.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXrender.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/libXrender.txt
%attr(755,root,root) %{_libdir}/libXrender.so
%{_libdir}/libXrender.la
%{_includedir}/X11/extensions/*.h
%{_pkgconfigdir}/xrender.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXrender.a
%changelog
* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a52338
- updated to 0.9.7
- moved Xrender specs to -devel

* Sat Jun 12 2010 Jakub Bogusz <qboosh@pld-linux.org> 40ef11d
- updated ac version

* Thu Jun 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 418a504
- up to 0.9.6

* Thu Nov 12 2009 Patryk Zawadzki <patrys@room-303.com> b195bcd
- rebuild with new libpthread-stubs
- rel 2

* Sun Oct 04 2009 Jakub Bogusz <qboosh@pld-linux.org> d5f13e1
- updated util-macros version
- ghost soname symlink
- added README and libXrender.txt to doc

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e86031
- up to 0.9.5

* Wed Nov 05 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ea6c3a
- release 2

* Wed Sep 05 2007 Jakub Bogusz <qboosh@pld-linux.org> 2d950fc
- updated to 0.9.4

* Mon Aug 20 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> ff140ee
- up to 0.9.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 64c1a52
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7068a37
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 857ea9c
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 97bb88e
- rebuild

* Sat Oct 14 2006 Jakub Bogusz <qboosh@pld-linux.org> ea881d3
- updated to 0.9.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a9f360
- up to 0.9.1

* Wed Mar 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 47f3647
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)

* Wed Dec 28 2005 Jakub Bogusz <qboosh@pld-linux.org> a6ed1bf
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> bfb9b54
- added ac patch
- rel++ (4 to 5)

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> d8d3fe8
- -devel desc fixes

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> 91282f0
- pl

